from authenticate import *
from requests.packages.urllib3.exceptions import InsecureRequestWarning

# Disable the InsecureRequestWarning
requests.packages.urllib3.disable_warnings(InsecureRequestWarning)

token = authenticate_and_get_token()

# API request to Faspex health endpont to get status
health_resp = requests.get(url=f"{APP_REDIRECT_URI}/health", verify=False,
                    headers={
                        "Authorization": f"Bearer {token}",
                        "content_type": "application/json"
                    })

print("\nHealth API Response:")

print(health_resp.text)

# API request to Faspex accounts endpoint to retreive a list of users
resp = requests.get(url=f"{APP_REDIRECT_URI}/api/v5/accounts", verify=False,
                    headers={
                        "Authorization": f"Bearer {token}",
                        "content_type": "application/json"
                    })

print("\nAccounts API Response:")

print(resp.text)